Bug 111925 - fileopen .xpm fails
Summary: fileopen .xpm fails
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-08-20 06:59 UTC by krishna [:kr1shna]
Modified: 2017-08-29 15:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
test file (33.22 KB, image/x-xpixmap)
2017-08-20 07:01 UTC, krishna [:kr1shna]
Details

Note You need to log in before you can comment on or make changes to this bug.
Description krishna [:kr1shna] 2017-08-20 06:59:27 UTC
Description:
i cannot open .xpm file on 5.4, it is opening properly on 5.0, 5.1, 5.2, 5.3

Steps to Reproduce:
open test file

Actual Results:  
in endless loop

Expected Results:
view image

able to view image on
5.0.0.0.alpha1+ [ build id: ab465b9 ]
5.1.0.0.alpha1+ [ build id: 1a6ec13 ]
5.2.0.0.alpha0+ [ build id: f6a74ce ]
5.3.0.0.alpha1+ [ build id: 4136757 ]

crash
5.1.0.0.alpha1+ [ build id: 5b791ec ]

unable to view image on
5.4.0.0.alpha0+ [ build id: 3902bb7 ]

os: android 5.1
device: lyf flame 3 [ ls-4001 ]


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Opera/9.80 (Android; Opera Mini/29.0.2254/66.318; U; en) Presto/2.12.423 Version/12.16
Comment 1 krishna [:kr1shna] 2017-08-20 07:01:15 UTC
Created attachment 135670 [details]
test file
Comment 2 raal 2017-08-20 07:45:54 UTC
error when inserting image into the document: Image filter not found

This seems to have begun at the below commit.
Adding Cc: to Caolán McNamara; Could you possibly take a look at this one? Thanks

3f50825a88515192d835ee0e9b8ab14c758cfe8b is the first bad commit
commit 3f50825a88515192d835ee0e9b8ab14c758cfe8b
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sun Mar 12 14:21:42 2017 -0700

    source sha:2a118816d90e8daa36a447db7cf4718830450099

	author	Caolán McNamara <caolanm@redhat.com>	2017-03-12 21:06:23 (GMT)
committer	Caolán McNamara <caolanm@redhat.com>	2017-03-12 21:07:42 (GMT)
commit	2a118816d90e8daa36a447db7cf4718830450099 (patch)
tree	a4692bf1f0feb13db376227fd46179a735b2ceb9
parent	127b2e59995f3abcf1593138cd27af9f375d7b1b (diff)
ofz#827 avoid oom in xpms
Comment 3 Commit Notification 2017-08-28 19:37:34 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bcbada5d9f2411739c83610f2e9fd2acb112c3e9

Resolves: tdf#111925 we need to take the buffered data len into account

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2017-08-28 19:40:27 UTC
and 5-4 backport in gerrit
Comment 5 Commit Notification 2017-08-29 15:20:30 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=beff195273334df189b3bcc656d007043917c81e&h=libreoffice-5-4

Resolves: tdf#111925 we need to take the buffered data len into account

It will be available in 5.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.